Bug 1787069 - Review Request: ddnet - DDraceNetwork, a cooperative racing mod of Teeworlds
Summary: Review Request: ddnet - DDraceNetwork, a cooperative racing mod of Teeworlds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-30 17:29 UTC by Michael
Modified: 2020-02-24 01:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-24 01:34:35 UTC
Type: ---
ego.cordatus: fedora-review+


Attachments (Terms of Use)
spec file (2.47 KB, patch)
2020-01-01 07:45 UTC, Artem
no flags Details | Diff

Description Michael 2019-12-30 17:29:17 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/elxreno/ddnet/fedora-31-x86_64/01136640-ddnet/ddnet.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/elxreno/ddnet/fedora-31-x86_64/01136640-ddnet/ddnet-12.8.1-4.fc31.src.rpm

Description:
DDraceNetwork (DDNet) is an actively maintained version of DDRace,
a Teeworlds modification with a unique cooperative gameplay.
Help each other play through custom maps with up to 64 players,
compete against the best in international tournaments, design your
own maps, or run your own server.


Fedora Account System Username: elxreno

Comment 1 Artem 2019-12-30 18:06:17 UTC
1. Recommended to use pkgconfig for -devel packages
   https://docs.fedoraproject.org/en-US/packaging-guidelines/PkgConfigBuildRequires/#_buildrequires_pkgconfigfoo_vs_foo_devel

2. Recommended to write AppData manifest file and send it upstream
   https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/

3. Maybe add BR: mysql for 'server' package?
   -DMYSQL=[ON|OFF]
   https://github.com/ddnet/ddnet#building-on-linux-and-macos

4. You need to find a sponsor
   https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 2 Artem 2019-12-30 18:29:12 UTC
5. The license should be probably:
   zlib and CC-BY-SA and ASL 2.0 and MIT and Public Domain and BSD

   Please explaining the multiple licensing breakdown in spec file
   https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/

6. You need to own all directories. In this case you should move
   'Requires:       hicolor-icon-theme'
   to
   '-data' subpackage section.

7. Move
   %{_datadir}/applications/%{name}.desktop
   to
   main package:
   
   %files
   %{_datadir}/applications/%{name}.desktop

---

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "zlib/libpng license Apache License
     (v2.0) Creative Commons Attribution-ShareAlike Public License (v3.0)",
     "Expat License", "zlib/libpng license", "*No copyright* Creative
     Commons Attribution-ShareAlike Public License (v3.0)", "*No copyright*
     Public domain", "Khronos License Expat License BSD 2-clause
     "Simplified" License", "BSD 2-clause "Simplified" License",
     "zlib/libpng license Aladdin Free Public License", "BSD 3-clause "New"
     or "Revised" License", "Expat License BSD 2-clause "Simplified"
     License", "Khronos License BSD 2-clause "Simplified" License". 1208
     files have unknown license. Detailed output of licensecheck in
     /mnt/data-linux/tmp/review/1787069-ddnet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/icons/hicolor,
     /usr/share/icons/hicolor/32x32, /usr/share/icons/hicolor/512x512,
     /usr/share/man/man.6, /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/512x512/apps,
     /usr/share/icons/hicolor/256x256, /usr/share/icons/hicolor/32x32/apps,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/128x128/apps,
     /usr/share/icons/hicolor/128x128, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/256x256/apps
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/ddnet(defaulting,
     Failed, C, locale,, set, to), /usr/share/ddnet/data(defaulting,
     Failed, C, locale,, set, to), /usr/share/ddnet/data/audio(defaulting,
     Failed, C, locale,, set, to),
     /usr/share/ddnet/data/countryflags(defaulting, Failed, C, locale,,
     set, to), /usr/share/ddnet/data/editor(defaulting, Failed, C, locale,,
     set, to), /usr/share/ddnet/data/editor/entities(defaulting, Failed, C,
     locale,, set, to),
     /usr/share/ddnet/data/editor/entities_clear(defaulting, Failed, C,
     locale,, set, to), /usr/share/ddnet/data/fonts(defaulting, Failed, C,
     locale,, set, to), /usr/share/ddnet/data/languages(defaulting, Failed,
     C, locale,, set, to), /usr/share/ddnet/data/mapres(defaulting, Failed,
     C, locale,, set, to), /usr/share/ddnet/data/maps(defaulting, Failed,
     C, locale,, set, to), /usr/share/ddnet/data/shader(defaulting, Failed,
     C, locale,, set, to), /usr/share/ddnet/data/skins(defaulting, Failed,
     C, locale,, set, to), /usr/share/doc/ddnet-server(defaulting, Failed,
     C, locale,, set, to), /usr/share/licenses/ddnet-server(defaulting,
     Failed, C, locale,, set, to), /usr/lib64/ddnet(defaulting, Failed, C,
     locale,, set, to), /usr/share/doc/ddnet(defaulting, Failed, C,
     locale,, set, to), /usr/share/licenses/ddnet(defaulting, Failed, C,
     locale,, set, to)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ddnet-
     data
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ddnet-12.8.1-4.fc32.x86_64.rpm
          ddnet-data-12.8.1-4.fc32.noarch.rpm
          ddnet-server-12.8.1-4.fc32.x86_64.rpm
          ddnet-debuginfo-12.8.1-4.fc32.x86_64.rpm
          ddnet-debugsource-12.8.1-4.fc32.x86_64.rpm
          ddnet-12.8.1-4.fc32.src.rpm
ddnet.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
ddnet-data.noarch: W: no-documentation
ddnet-data.noarch: W: pem-certificate /usr/share/ddnet/data/ca-ddnet.pem
ddnet-data.noarch: W: desktopfile-without-binary /usr/share/applications/ddnet.desktop DDNet
ddnet.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
ddnet.src:52: W: unversioned-explicit-provides bundled(dejavu-sans-cjkname-fonts)
ddnet.src:53: W: unversioned-explicit-provides bundled(dejavu-wenquanyi-micro-hei-fonts)
6 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ddnet-server-debuginfo-12.8.1-4.fc32.x86_64.rpm
          ddnet-debuginfo-12.8.1-4.fc32.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
ddnet.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
ddnet-data.noarch: W: no-documentation
ddnet-data.noarch: W: pem-certificate /usr/share/ddnet/data/ca-ddnet.pem
6 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/ddnet/ddnet/archive/12.8.1/ddnet-12.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 139e28f02f11569c1adc6119e9eaf732916ea56c4c84c6af10f9fab94e4abfb4
  CHECKSUM(SHA256) upstream package : 139e28f02f11569c1adc6119e9eaf732916ea56c4c84c6af10f9fab94e4abfb4


Requires
--------
ddnet (rpmlib, GLIBC filtered):
    ddnet-data
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libGLEW.so.2.1()(64bit)
    libGLU.so.1()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libcurl.so.4()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libopusfile.so.0()(64bit)
    libpnglite.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libwavpack.so.1()(64bit)
    libwebsockets.so.15()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

ddnet-data (rpmlib, GLIBC filtered):
    ddnet

ddnet-server (rpmlib, GLIBC filtered):
    ddnet(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libwebsockets.so.15()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

ddnet-debuginfo (rpmlib, GLIBC filtered):

ddnet-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ddnet:
    bundled(dejavu-sans-cjkname-fonts)
    bundled(dejavu-wenquanyi-micro-hei-fonts)
    ddnet
    ddnet(x86-64)

ddnet-data:
    application()
    application(ddnet.desktop)
    ddnet-data
    mimehandler(x-scheme-handler/ddnet)

ddnet-server:
    ddnet-server
    ddnet-server(x86-64)

ddnet-debuginfo:
    ddnet-debuginfo
    ddnet-debuginfo(x86-64)
    debuginfo(build-id)

ddnet-debugsource:
    ddnet-debugsource
    ddnet-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1787069
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: PHP, Ocaml, R, Perl, Haskell, Python, SugarActivity, fonts, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Artem 2019-12-30 18:41:23 UTC
8. Try to delete whole 'src/engine/external/' in '%prep' to be sure that nothing is bundled here.

Comment 4 Michael 2019-12-31 13:18:13 UTC
1. Ok. Now all devel packages now uses pkgconfig besides pnglite-devel.

2. Fixed and now available in upstream.

3. Probably no, because libmysqlcppconn is not available in Fedora repos,
and it not works with mariadb-connector-c-devel. I ask upstream what to do with it.

4. Working on it.

5. Fixed.

6. Fixed.

7. Fixed.

8. Cannot unbundle md5 because it not available in Fedora repos.
Also json-parser is bundled, but I think it's temporarily because json-parser package
in Fedora repos doesn't provide json.c file, but it requires for proper build. I ask upstream about it.

Comment 6 Artem 2020-01-01 07:45:52 UTC
Created attachment 1649026 [details]
spec file

LGTM. Few minor issues:

* Please add license breakdown explanation. See example [1] spec file.
  [1] https://src.fedoraproject.org/rpms/chatterino2/blob/master/f/chatterino2.spec#_40

* Add version for bundled libs:
  Provides:       bundled(json-parser) = 1.1.0
  Provides:       bundled(md5) = 1.6

* Drop 'Requires:       hicolor-icon-theme' for main, non-data package. You don't need it here.

* You can grab patch directly from GitHub
  Patch2:         https://github.com/ddnet/ddnet/pull/2021.patch#/0002-add-appdata-manifest.patch

* Please add comment describing why necessary patch or what it doing

  # Some commentary
  Patch1:         0001_ddnet_Disabled-network-lookup-test.patch

* Add %{_target_platform} macros.


Check my attached patch for this and other cosmetic improvements.

Comment 7 Artem 2020-01-01 07:57:22 UTC
> Also json-parser is bundled, but I think it's temporarily because json-parser package
in Fedora repos doesn't provide json.c file, but it requires for proper build.

'json-parser' available in Fedora repos. You need to investigate why it won't build with system package. It is patched by upstream or need to fix cmake file.

Comment 8 Michael 2020-01-02 11:05:33 UTC
Thanks for your patch. I applied it.

Also, now I can provide ddnet without bundled md5 and json-parser (thanks upstream for help with it, issue url: [1]).
[1] https://github.com/ddnet/ddnet/issues/2022

Comment 10 Artem 2020-01-02 14:41:35 UTC
Few minor issues:

1. '%{_mandir}/man.6/' is incorrect place. Should been '%{_mandir}/man6/'

install -Dp -m 0644 man/DDNet.6 %{buildroot}%{_mandir}/man6/DDNet.6
install -Dp -m 0644 man/DDNet-Server.6 %{buildroot}%{_mandir}/man6/DDNet-Server.6


2. BSD license not needed anymore since you unbundled 'json-parser'. You need to remove it from License tag and from breakdown license explanation section.

Please fix this before import. Otherwise LGTM.


Rpmlint
-------
Checking: ddnet-12.8.1-6.fc32.x86_64.rpm
          ddnet-data-12.8.1-6.fc32.noarch.rpm
          ddnet-server-12.8.1-6.fc32.x86_64.rpm
          ddnet-debuginfo-12.8.1-6.fc32.x86_64.rpm
          ddnet-debugsource-12.8.1-6.fc32.x86_64.rpm
          ddnet-12.8.1-6.fc32.src.rpm
ddnet.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
ddnet-data.noarch: W: no-documentation
ddnet-data.noarch: W: pem-certificate /usr/share/ddnet/data/ca-ddnet.pem
ddnet.src: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
ddnet.src:95: W: unversioned-explicit-provides bundled(dejavu-sans-cjkname-fonts)
ddnet.src:96: W: unversioned-explicit-provides bundled(dejavu-wenquanyi-micro-hei-fonts)
6 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ddnet-server-debuginfo-12.8.1-6.fc32.x86_64.rpm
          ddnet-debuginfo-12.8.1-6.fc32.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
ddnet-data.noarch: W: no-documentation
ddnet-data.noarch: W: pem-certificate /usr/share/ddnet/data/ca-ddnet.pem
ddnet.x86_64: W: spelling-error %description -l en_US gameplay -> game play, game-play, nameplate
6 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/ddnet/ddnet/archive/12.8.1/ddnet-12.8.1.tar.gz :
  CHECKSUM(SHA256) this package     : 139e28f02f11569c1adc6119e9eaf732916ea56c4c84c6af10f9fab94e4abfb4
  CHECKSUM(SHA256) upstream package : 139e28f02f11569c1adc6119e9eaf732916ea56c4c84c6af10f9fab94e4abfb4


Requires
--------
ddnet (rpmlib, GLIBC filtered):
    ddnet-data
    libGL.so.1()(64bit)
    libGLEW.so.2.1()(64bit)
    libGLU.so.1()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libcurl.so.4()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libjsonparser.so.1.1()(64bit)
    libm.so.6()(64bit)
    libopusfile.so.0()(64bit)
    libpnglite.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libwavpack.so.1()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

ddnet-data (rpmlib, GLIBC filtered):
    ddnet
    hicolor-icon-theme

ddnet-server (rpmlib, GLIBC filtered):
    ddnet(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.1.1()(64bit)
    libcrypto.so.1.1(OPENSSL_1_1_0)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libjsonparser.so.1.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

ddnet-debuginfo (rpmlib, GLIBC filtered):

ddnet-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ddnet:
    application()
    application(ddnet.desktop)
    bundled(dejavu-sans-cjkname-fonts)
    bundled(dejavu-wenquanyi-micro-hei-fonts)
    ddnet
    ddnet(x86-64)
    metainfo()
    metainfo(ddnet.appdata.xml)
    mimehandler(x-scheme-handler/ddnet)

ddnet-data:
    ddnet-data

ddnet-server:
    ddnet-server
    ddnet-server(x86-64)

ddnet-debuginfo:
    ddnet-debuginfo
    ddnet-debuginfo(x86-64)
    debuginfo(build-id)

ddnet-debugsource:
    ddnet-debugsource
    ddnet-debugsource(x86-64)

Comment 12 Vasiliy Glazov 2020-02-14 06:57:15 UTC
I will sponsor you.

1. Please update to latest version - 12.9.1.
2. Change %{optflags} -flto
to
%{optflags} -flto=auto
3. Remove
%license license.txt
%doc README.md
from %files server

Comment 13 Artem 2020-02-14 10:30:27 UTC
(In reply to Vasiliy Glazov from comment #12)
> 2. Change %{optflags} -flto
> to
> %{optflags} -flto=auto

This will makes non reproducible builds. Don't do this and don't push with 'auto' in repos.

Comment 15 Gwyn Ciesla 2020-02-14 14:19:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ddnet

Comment 16 Fedora Update System 2020-02-16 02:21:05 UTC
ddnet-12.9.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5fe952b925

Comment 17 Fedora Update System 2020-02-24 01:34:35 UTC
ddnet-12.9.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.